package com.example.applock.application;

import android.app.Application;
import android.content.Intent;

import androidx.localbroadcastmanager.content.LocalBroadcastManager;

import com.example.applock.allmanager.Datamanager;
import com.example.applock.roombase.AppEntity;
import com.example.applock.roombase.SoftWareLockRoom;
import com.example.applock.value.MyAllValues;
import com.example.applock.allmanager.AppManager;

import org.w3c.dom.Entity;

import java.util.Set;

public class SoftWareLockApplication extends Application {
    public static boolean isPass = false;

    @Override
    public void onCreate() {
        super.onCreate();
        MyAllValues.softWareLockApplication = this;
        isPass = true;
        Datamanager.init(this);
        Datamanager.resetKeyCount();
        Set<AppEntity> entityApps = AppManager.QueryPhoneApp(this);
        SoftWareLockRoom.insertRoom(entityApps);
    }
}
